Bug 1267875 - cyrus-imapd: Multiple potential buffer overflows
cyrus-imapd: Multiple potential buffer overflows
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150804,reported=2...
: Reopened, Security
Depends On: 1267878
Blocks: 1267877
  Show dependency treegraph
 
Reported: 2015-10-01 05:28 EDT by Adam Mariš
Modified: 2015-11-20 18:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-16 07:48:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Adam Mariš 2015-10-01 05:32:49 EDT
Created cyrus-imapd tracking bugs for this issue:

Affects: fedora-all [bug 1267878]
Comment 2 Jason Tibbitts 2015-10-07 11:30:03 EDT
Sorry, did I do something wrong here?  I've pushed a release to all branches with the two patches mentioned and backported a third.  That's currently in testing.
Comment 3 Stefan Cornelius 2015-10-16 07:23:49 EDT
(In reply to Jason Tibbitts from comment #2)
> Sorry, did I do something wrong here?  I've pushed a release to all branches
> with the two patches mentioned and backported a third.  That's currently in
> testing.

I don't see anything wrong. Are you worried about my accidental WONTFIX from 2015-10-07? That was my mistake and unrelated.
Comment 4 Stefan Cornelius 2015-10-16 07:47:13 EDT
The changes in master/master.c seem to be security enhancements only. The code we ship in RHELs looks solid enough (all calls to the code seem to pass the correct size etc), no need to backport this to RHELs.

The changes in imtest/imtest.c are actually fixing a real possibility of an overflow, but the code is part of the test framework. Bottom line, I don't see a need to backport this, either.
Comment 6 Fedora Update System 2015-11-17 10:53:30 EST
cyrus-imapd-2.4.18-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-11-17 13:24:38 EST
cyrus-imapd-2.4.18-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-11-20 18:25:47 EST
cyrus-imapd-2.4.18-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.